DynamicJava Javadoc: Class ArrayAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ArrayAccess

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.ArrayAccess

All Implemented Interfaces:
  ExpressionContainer, LeftHandSide

public class ArrayAccess
extends PrimaryExpression
implements LeftHandSide, ExpressionContainer

This class represents the array access nodes of the syntax tree

Field Summary
`static java.lang.String` | `CELL_NUMBER` The cellNumber property name
`static java.lang.String` | `EXPRESSION` The expression property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`ArrayAccess(Expression exp, Expression cell)` Creates a new array access node
`ArrayAccess(Expression exp, Expression cell, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new array access node

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Expression` | `getCellNumber()` Returns the expression which denotes the cell number
`Expression` | `getExpression()` Returns the expression on which this array access applies
`void` | `setCellNumber(Expression e)` Sets the expression which denotes the cell number
`void` | `setExpression(Expression e)` Sets the expression on which this array access applies

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPRESSION

    public static final java.lang.String EXPRESSION

  The expression property name

### CELL_NUMBER

    public static final java.lang.String CELL_NUMBER

  The cellNumber property name

Constructor Detail

### ArrayAccess

    public ArrayAccess(Expression exp,
                       Expression cell)

  Creates a new array access node
  Parameters:
    `exp` - the expression on which this array access applies
    `cell` - the cell number
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null or cell is null

### ArrayAccess

    public ArrayAccess(Expression exp,
                       Expression cell,
                       java.lang.String fn,
                       int bl,
                       int bc,
                       int el,
                       int ec)

  Creates a new array access node
  Parameters:
    `exp` - the expression on which this array access applies
    `cell` - the cell number
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null or cell is null

Method Detail

### getExpression

    public Expression getExpression()

  Returns the expression on which this array access applies
  Specified by:
    `getExpression` in interface `ExpressionContainer`

### setExpression

    public void setExpression(Expression e)

  Sets the expression on which this array access applies
  Specified by:
    `setExpression` in interface `ExpressionContainer`
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

### getCellNumber

    public Expression getCellNumber()

  Returns the expression which denotes the cell number

### setCellNumber

    public void setCellNumber(Expression e)

  Sets the expression which denotes the cell number
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.